%define oname   aws-s3

Name:       ruby-%{oname}
Version:    0.6.2
Release:    %mkrel 2
Summary:    Client library for Amazon's Simple Storage Service's REST API
License:    MIT
Group:      Development/Ruby
URL:        http://amazon.rubyforge.org
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(builder)
BuildRequires: rubygem(mime-types)
BuildRequires: rubygem(xml-simple)
BuildRequires: rubygem(flexmock)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Client library for Amazon's Simple Storage Service's REST API

%files
%defattr(-, root, root, -)
%{_bindir}/s3sh
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/COPYING
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/INSTALL
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Feb 12 2011 shikamaru <shikamaru> 0.6.2-2.mga1
+ Revision: 50907
- imported package ruby-aws-s3


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.6.2-2mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Fri Dec 10 2010 Rémy Clouard <shikamaru@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 620456
- import rubygem-aws-s3

